aboutsummaryrefslogtreecommitdiff
path: root/ci/before_cache.sh
diff options
context:
space:
mode:
authorJames McCoy <jamessan@jamessan.com>2017-04-05 22:39:40 -0400
committerJames McCoy <jamessan@jamessan.com>2017-04-05 22:39:40 -0400
commitbb54d921aaf85f0393c1ba10585560056f7f4ec8 (patch)
tree316ff7424337b3572b58340383eeabb3a0d36e80 /ci/before_cache.sh
parent4f69a8fb8854698adb2de8956ad0d86ff35a6f68 (diff)
parent210b013ce75b5ea8a897071e32decc1e1f88189e (diff)
downloadrneovim-bb54d921aaf85f0393c1ba10585560056f7f4ec8.tar.gz
rneovim-bb54d921aaf85f0393c1ba10585560056f7f4ec8.tar.bz2
rneovim-bb54d921aaf85f0393c1ba10585560056f7f4ec8.zip
Merge remote-tracking branch 'origin/master' into vim-7.4.2170
Diffstat (limited to 'ci/before_cache.sh')
-rwxr-xr-xci/before_cache.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/ci/before_cache.sh b/ci/before_cache.sh
new file mode 100755
index 0000000000..dd1fcf2bf7
--- /dev/null
+++ b/ci/before_cache.sh
@@ -0,0 +1,16 @@
+#!/usr/bin/env bash
+
+set -e
+set -o pipefail
+
+# Don't cache pip's log and selfcheck.
+rm -rf "${HOME}/.cache/pip/log"
+rm -f "${HOME}/.cache/pip/selfcheck.json"
+
+# Update the third-party dependency cache only if the build was successful.
+if [[ -f "${SUCCESS_MARKER}" ]]; then
+ rm -rf "${HOME}/.cache/nvim-deps"
+ mv "${DEPS_BUILD_DIR}" "${HOME}/.cache/nvim-deps"
+ touch "${CACHE_MARKER}"
+ echo "Updated third-party dependencies (timestamp: $(stat -c '%y' "${CACHE_MARKER}"))."
+fi